{% stories footer_links_id with
  {
    title: 'Landmarks/Footer/Links',
    argTypes: {
      label: {
        control: { type: "text" },
      }
    },
  }
%}

  {% story footer_links_1 with
    {
      name: '1. Basic links',
      args: {
        label: 'Footer links list',
        links: [
          {
            'url': 'https://www.something.com',
            'label': 'External link',
            'is_external': true
          },
          {
            'url': '/',
            'label': 'Internal link 1',
            'is_external': false
          },
          {
            'url': '/',
            'label': 'Internal link 2',
            'is_external': false
          },
        ],
      }
    }
  %}
    {% include "cambridge_tailwind:footer-links" with {
      label: label,
      links: links
    } %}
  {% endstory %}

  {% story footer_links_2 with
    {
      name: '1. Social links',
      args: {
      label: 'Social links list',
      links: [
        {
          'url': 'https://www.linkedin.com',
          'label': 'Linkedin',
          'is_external': true,
          'icon': 'linkedin'
        },
        {
          'url': 'https://www.instagram.com',
          'label': 'Instagram',
          'is_external': true,
          'icon': 'instagram'
        },
        {
          'url': 'https://www.facebook.com',
          'label': 'Facebook',
          'is_external': true,
          'icon': 'facebook'
        },
        {
          'url': 'https://www.youtube.com',
          'label': 'Youtube',
          'is_external': true,
          'icon': 'youtube'
        },
      ],
    }
    }
  %}
    {% include "cambridge_tailwind:footer-links" with {
      label: label,
      links: links
    } %}
  {% endstory %}


{% endstories %}
